import request from "@/utils/request";

// 查询系统升级日志列表
export function listUplog(query) {
  return request({
    url: "/uplog/list",
    method: "get",
    params: query
  });
}

// 查询系统升级日志详细
export function getUplog(id) {
  return request({
    url: "/uplog/" + id,
    method: "get"
  });
}

// 新增系统升级日志
export function addUplog(data) {
  return request({
    url: "/uplog",
    method: "post",
    data: data
  });
}

// 修改系统升级日志
export function updateUplog(data) {
  return request({
    url: "/uplog",
    method: "put",
    data: data
  });
}

// 删除系统升级日志
export function delUplog(id) {
  return request({
    url: "/uplog/" + id,
    method: "delete"
  });
}

// 获取最新的一条系统日志
export function newUplog(query) {
  return request({
    url: "/uplog/new",
    method: "get",
    params: query
  });
}


//  获取最新的一条系统日志noketoken
export function newVesionInfo(query) {
  return request({
      url: '/uplog/new',
      method: 'get',
      params: query
  })
}
